#  SPDX-License-Identifier: LGPL-2.1+
#
#  This file is part of greenboot.
#
#  greenboot is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.

[Unit]
Description=Mark boot as successful in boot partition
Requires=boot-complete.target greenboot-qcom-check-slot.service
After=boot-complete.target greenboot-qcom-check-slot.service

[Service]
Type=oneshot
RemainAfterExit=yes
ExecStart=/usr/libexec/greenboot/greenboot-qcom set-success

[Install]
WantedBy=boot-complete.target
